Subject: bug#49229: 27.2; `M-x shell' fails over TRAMP from local MS Windows

From: Jim Porter <[email-masked]>
Date: Sun, 27 Jun 2021 17:47:49 -0700

On Sun, Jun 27, 2021 at 1:41 AM Michael Albinus <[email-masked]> wrote:
>
> But we could teach `read-file-name' to accept only remote file
> names. What about this patch:
>
>
> It is not perfect, one can still enter "/sudo::/bin/sh" when
> `default-directory' is "/ssh::". But I wouldn't count this as mistake,
> it would be rather a "user error by intention" :-)

This seems like a reasonable compromise to me. Like you say, it's not
perfect, but it should at least prevent users from mistakenly entering
local paths here.